<odoo>

<record id="view_sos_calculate_msp_wizard" model="ir.ui.view">
    <field name="name">sos_msp_wizard.form</field>
    <field name="model">sos_msp_wizard</field>
    <field name="arch" type="xml">
        <form string="Maximum Selling Price Calculation">
        <group>
        <field name="old_msp"/>
        </group>
        <br></br>
        <notebook>
        <page string="MSP Calculation">
        <table class="table_custom" style="width:50%">
        <tr><td><b>SFG Cost</b></td><td><field name="total_sfg_cost"/></td></tr>
        <tr><td><b>Material Cost</b></td><td><field name="total_material_cost"/></td></tr>
        <tr><td><b>Maximum Selling Price</b></td><td style="font-size:25px"><field name="new_msp"/></td></tr>
        </table>
     
        
        </page>
         <page string="SFG Break-Up">
          <field name="sfg_plan_ids">
                        <tree>
                            <field name="sfg_name"/>
                            <field name="category"/>
                            <field name="required_qty"/>
                            <field name="unit_price"/>
                            <field name="total_cost"/>
                            <field name="margin" widget="float" string="Margin (%)"/>

                            <field name="final_cost"/>
                            
                        </tree>
                    </field>
        </page>
        <page string="Materials Break-Up">
         <field name="material_plan_ids">
                        <tree>
                            <field name="material_name"/>
                            <field name="required_qty"/>
                            <field name="approx_price"/>
                             <field name="total_cost"/>
                            <field name="margin" widget="float" string="Margin (%)"/>

                            <field name="final_cost"/>
                        </tree>
                    </field>
        </page>

       
        </notebook>
          
            <footer>
            <button string="Update MSP" type="object" name="action_update_msp" class="btn-primary"/>
                <button string="Close" class="btn-secondary" special="cancel"/>
            </footer>
        </form>
    </field>
</record>


</odoo>